
From: Gerd Knorr <kraxel@bytesex.org>

convert from pci_module_init to pci_register_driver

Signed-off-by: Christophe Lucas <c.lucas@ifrance.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/cx88/cx88-blackbird.c |    2 +-
 25-akpm/drivers/media/video/cx88/cx88-dvb.c       |    2 +-
 25-akpm/drivers/media/video/cx88/cx88-video.c     |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/media/video/cx88/cx88-blackbird.c~media-video-cx88-convert-pci_module_init-to-pci_register_driver drivers/media/video/cx88/cx88-blackbird.c
--- 25/drivers/media/video/cx88/cx88-blackbird.c~media-video-cx88-convert-pci_module_init-to-pci_register_driver	2005-03-11 12:32:23.000000000 -0800
+++ 25-akpm/drivers/media/video/cx88/cx88-blackbird.c	2005-03-11 12:32:23.000000000 -0800
@@ -892,7 +892,7 @@ static int blackbird_init(void)
 	printk(KERN_INFO "cx2388x: snapshot date %04d-%02d-%02d\n",
 	       SNAPSHOT/10000, (SNAPSHOT/100)%100, SNAPSHOT%100);
 #endif
-	return pci_module_init(&blackbird_pci_driver);
+	return pci_register_driver(&blackbird_pci_driver);
 }
 
 static void blackbird_fini(void)
diff -puN drivers/media/video/cx88/cx88-dvb.c~media-video-cx88-convert-pci_module_init-to-pci_register_driver drivers/media/video/cx88/cx88-dvb.c
--- 25/drivers/media/video/cx88/cx88-dvb.c~media-video-cx88-convert-pci_module_init-to-pci_register_driver	2005-03-11 12:32:23.000000000 -0800
+++ 25-akpm/drivers/media/video/cx88/cx88-dvb.c	2005-03-11 12:32:23.000000000 -0800
@@ -362,7 +362,7 @@ static int dvb_init(void)
 	printk(KERN_INFO "cx2388x: snapshot date %04d-%02d-%02d\n",
 	       SNAPSHOT/10000, (SNAPSHOT/100)%100, SNAPSHOT%100);
 #endif
-	return pci_module_init(&dvb_pci_driver);
+	return pci_register_driver(&dvb_pci_driver);
 }
 
 static void dvb_fini(void)
diff -puN drivers/media/video/cx88/cx88-video.c~media-video-cx88-convert-pci_module_init-to-pci_register_driver drivers/media/video/cx88/cx88-video.c
--- 25/drivers/media/video/cx88/cx88-video.c~media-video-cx88-convert-pci_module_init-to-pci_register_driver	2005-03-11 12:32:23.000000000 -0800
+++ 25-akpm/drivers/media/video/cx88/cx88-video.c	2005-03-11 12:32:23.000000000 -0800
@@ -2258,7 +2258,7 @@ static int cx8800_init(void)
 	printk(KERN_INFO "cx2388x: snapshot date %04d-%02d-%02d\n",
 	       SNAPSHOT/10000, (SNAPSHOT/100)%100, SNAPSHOT%100);
 #endif
-	return pci_module_init(&cx8800_pci_driver);
+	return pci_register_driver(&cx8800_pci_driver);
 }
 
 static void cx8800_fini(void)
_
